package com.ejie.ab39a.model;

import java.util.ArrayList;
import java.util.HashMap;

/**
 * Clase que contiene los datos necesarios para generar el certificado en PDF
 * 
 *  
 * 
 */
public class CertificadoPDF {

	private String rutaPlantilla;
	private ArrayList<String> rutasCss;
	private ArrayList<String> rutasFuente;
	private String rutaImagenes;
	private String rutaICC;
	private String rutaMarcaAgua;
	// OID del documento generado en DOKUSI
	private String OID;
	// OID de la plantilla HTML en el PID
	private String OIDPlantillaHTML;
	// OID de la plantilla CSS en el PID
	private String OIDPlantillaCSS;

	private HashMap<String, String> datosVariables;
	private boolean ponerMarcaAgua = false;
	private boolean addFirma = true;
	private boolean addLocalizador = true;
	private boolean addLocalizadorSinc = true;
	private boolean addNumerosDePagina = false;
	private Long posXNumPag = 0L;
	private Long posYNumPag = 0L;

	public Long getPosXNumPag() {
		return posXNumPag;
	}

	public void setPosXNumPag(Long posXNumPag) {
		this.posXNumPag = posXNumPag;
	}

	public Long getPosYNumPag() {
		return posYNumPag;
	}

	public void setPosYNumPag(Long posYNumPag) {
		this.posYNumPag = posYNumPag;
	}

	public boolean isAddNumerosDePagina() {
		return addNumerosDePagina;
	}

	public void setAddNumerosDePagina(boolean addNumerosDePagina) {
		this.addNumerosDePagina = addNumerosDePagina;
	}

	/**
	 * @return String
	 */
	public String getOIDPlantillaHTML() {
		return this.OIDPlantillaHTML;
	}

	/**
	 * @param oIDPlantillaHTML
	 *            String
	 */
	public void setOIDPlantillaHTML(String oIDPlantillaHTML) {
		this.OIDPlantillaHTML = oIDPlantillaHTML;
	}

	/**
	 * @return String
	 */
	public String getOIDPlantillaCSS() {
		return this.OIDPlantillaCSS;
	}

	/**
	 * @param oIDPlantillaCSS
	 *            String
	 */
	public void setOIDPlantillaCSS(String oIDPlantillaCSS) {
		this.OIDPlantillaCSS = oIDPlantillaCSS;
	}

	/**
	 * @return String
	 */
	public String getOID() {
		return this.OID;
	}

	/**
	 * @param oID
	 *            String
	 */
	public void setOID(String oID) {
		this.OID = oID;
	}

	/**
	 * @return boolean
	 */
	public boolean isAddLocalizadorSinc() {
		return this.addLocalizadorSinc;
	}

	/**
	 * @param addLocalizadorSinc
	 *            boolean
	 */
	public void setAddLocalizadorSinc(boolean addLocalizadorSinc) {
		this.addLocalizadorSinc = addLocalizadorSinc;
	}

	/**
	 * @return boolean
	 */
	public boolean isAddFirma() {
		return this.addFirma;
	}

	/**
	 * @param addFirma
	 *            boolean
	 */
	public void setAddFirma(boolean addFirma) {
		this.addFirma = addFirma;
	}

	/**
	 * @return boolean
	 */
	public boolean isAddLocalizador() {
		return this.addLocalizador;
	}

	/**
	 * @param addLocalizador
	 *            boolean
	 */
	public void setAddLocalizador(boolean addLocalizador) {
		this.addLocalizador = addLocalizador;
	}

	/**
	 * @return Boolean
	 */
	public boolean getPonerMarcaAgua() {
		return this.ponerMarcaAgua;
	}

	/**
	 * @param ponerMarcaAgua
	 *            Boolean
	 */
	public void setPonerMarcaAgua(boolean ponerMarcaAgua) {
		this.ponerMarcaAgua = ponerMarcaAgua;
	}

	/**
	 * @return the rutaPlantilla
	 */
	public String getRutaPlantilla() {
		return this.rutaPlantilla;
	}

	/**
	 * @param rutaPlantilla
	 *            the rutaPlantilla to set
	 */
	public void setRutaPlantilla(String rutaPlantilla) {
		this.rutaPlantilla = rutaPlantilla;
	}

	/**
	 * @return the rutasCss
	 */
	public ArrayList<String> getRutasCss() {
		return this.rutasCss;
	}

	/**
	 * @param rutasCss
	 *            the rutasCss to set
	 */
	public void setRutasCss(ArrayList<String> rutasCss) {
		this.rutasCss = rutasCss;
	}

	/**
	 * @return the rutasFuente
	 */
	public ArrayList<String> getRutasFuente() {
		return this.rutasFuente;
	}

	/**
	 * @param rutasFuente
	 *            the rutasFuente to set
	 */
	public void setRutasFuente(ArrayList<String> rutasFuente) {
		this.rutasFuente = rutasFuente;
	}

	/**
	 * @return the rutaImagenes
	 */
	public String getRutaImagenes() {
		return this.rutaImagenes;
	}

	/**
	 * @param rutaImagenes
	 *            the rutaImagenes to set
	 */
	public void setRutaImagenes(String rutaImagenes) {
		this.rutaImagenes = rutaImagenes;
	}

	/**
	 * @return the rutaICC
	 */
	public String getRutaICC() {
		return this.rutaICC;
	}

	/**
	 * @param rutaICC
	 *            the rutaICC to set
	 */
	public void setRutaICC(String rutaICC) {
		this.rutaICC = rutaICC;
	}

	/**
	 * @return the rutaMarcaAgua
	 */
	public String getRutaMarcaAgua() {
		return this.rutaMarcaAgua;
	}

	/**
	 * @param rutaMarcaAgua
	 *            the rutaMarcaAgua to set
	 */
	public void setRutaMarcaAgua(String rutaMarcaAgua) {
		this.rutaMarcaAgua = rutaMarcaAgua;
	}

	/**
	 * @return the datosVariables
	 */
	public HashMap<String, String> getDatosVariables() {
		return this.datosVariables;
	}

	/**
	 * @param datosVariables
	 *            the datosVariables to set
	 */
	public void setDatosVariables(HashMap<String, String> datosVariables) {
		this.datosVariables = datosVariables;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "CertificadoPDF [rutaPlantilla=" + this.rutaPlantilla + ", rutasCss=" + this.rutasCss + ", rutasFuente="
				+ this.rutasFuente + ", rutaImagenes=" + this.rutaImagenes + ", rutaICC=" + this.rutaICC
				+ ", rutaMarcaAgua=" + this.rutaMarcaAgua + ", datosVariables=" + this.datosVariables + "]";
	}

}
